export default {
  /**
   * 自定义样式类
   */
  customClass: {
    type: String
  },
  /**
   * 是否垂直分割，默认为 水平方向分割
   */
  vertical: {
    type: Boolean,
    default: false
  },
  /**
   * 是否允许拖动改变大小
   */
  resizable: {
    type: Boolean,
    default: false
  },
  size: {
    type: String,
    default: '50%'
  },
  /**
   * 指定大小的 pane ，默认为 pane1
   */
  sizePane: {
    type: Number,
    default: 1
  },
  limit: {
    type: Array,
    default: () => ['40px', '0']
  },
  /**
   * 限制大小的 pane ，默认为 pane1
   */
  limitPane: {
    type: Number,
    default: 1
  },
  /**
   * handle 大小，单位为像素，值需要为偶数
   */
  handleSize: {
    type: Number,
    default: 5
  },
  /**
   * 是否始终显示移动条
   */
  alwaysShowHandle: {
    type: Boolean,
    default: false
  }
}
